// Copyright (C) 2019  Wilko Manger
//
// This file is part of matrix-dart-sdk.
//
// matrix-dart-sdk is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// matrix-dart-sdk is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with matrix-dart-sdk.  If not, see <https://www.gnu.org/licenses/>.

import 'package:matrix_sdk/matrix_sdk.dart';
import 'package:meta/meta.dart';

class DeviceId extends Id {
  DeviceId(String value) : super(value);
}

class Device extends Identifiable<DeviceId> {
  @override
  final DeviceId id;

  final UserId userId;

  final String name;

  final DateTime lastSeen;

  final String lastIpAddress;

  Device({
    @required this.id,
    this.userId,
    this.name,
    this.lastSeen,
    this.lastIpAddress,
  });

  Device copyWith({
    DeviceId id,
    UserId userId,
    String name,
    DateTime lastSeen,
    String lastIpAddress,
  }) {
    return Device(
      id: id ?? this.id,
      userId: userId ?? this.userId,
      name: name ?? this.name,
      lastSeen: lastSeen ?? this.lastSeen,
      lastIpAddress: lastIpAddress ?? this.lastIpAddress,
    );
  }
}
