// Copyright (C) 2019  Wilko Manger
//
// This file is part of matrix-dart-sdk.
//
// matrix-dart-sdk is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// matrix-dart-sdk is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with matrix-dart-sdk.  If not, see <https://www.gnu.org/licenses/>.

import 'dart:io';

import 'package:matrix_sdk/matrix_sdk.dart';
import 'package:matrix_sdk/olm_ffi.dart';
import 'package:test/test.dart';

void testOlm() {
  group('Olm', () {
    group('.account ', () {
      test('returns Account if successful', () async {
        Olm olm = OlmFFI(
          libraryPath: '${Directory.current.path}/lib-native/',
        );

        final account = olm.account();
        expect(account.identityKeys.curve25519, isNotNull);
        expect(account.identityKeys.ed25519, isNotNull);
      });
    });
  });
}
